 /**import javax.swing.*;**/
 
/**
 * Beschreiben Sie hier die Klasse Rechteck.
 * 
 * @author (Dennis Schweiger, Till Ochtendung, Christoph Ermer) 
 * @version (0.1)
 */
public class Player
{
    // Instanzvariablen - ersetzen Sie das folgende Beispiel mit Ihren Variablen
    private Rechteck Player;
    private ZEICHENFENSTER zeichenblatt; 
    private int delta_x_recht;
    private int y_recht;
    private int laenge = 100;
    private int breite = 20;
    private int laeufer = 0;
    private int delta_y = 50;
    
    /**
     * Konstruktor für Objekte der Klasse Player
     * delta_x_recht: (horizontaler Abstand des Players vom linken Rand des Zeichenfensters)-10
     * y_recht: vertikale Position des Players (linkes oberes Eck)
     */
    public Player(int p_delta_x_recht, int p_y_recht, ZEICHENFENSTER zeichenblatt)
    {
        // Instanzvariable initialisieren
      delta_x_recht = p_delta_x_recht;
      y_recht = p_y_recht;
    }

    public void zeichnePlayer(ZEICHENFENSTER zeichenblatt)
    { // Erzeugen eines Rechtecks
        Player = new Rechteck(10+delta_x_recht, y_recht, breite, laenge, 8);
        // Zeichnen der Rechtecke
        zeichenblatt.fuelleRechteck(Player.getxPos(), Player.getyPos(), Player.getbreite(), Player.gethoehe(), Player.getfarbe()); 
        
    }
    
    /**
     * Methode, die den Player um delta_y nach oben bewegt
    **/
    public void bewegePlayer_rauf(ZEICHENFENSTER zeichenblatt)
    {
       if(Player.getyPos()>=90)
       {
          zeichenblatt.loescheRechteck(Player.getxPos(), Player.getyPos(), breite, laenge);
          Player.setyPos(Player.getyPos()-delta_y);
          zeichenblatt.fuelleRechteck(Player.getxPos(), Player.getyPos(), Player.getbreite(), Player.gethoehe(), Player.getfarbe());
       }
    }
    
    /**
     * Methode, die den Player um delta_y nach unten bewegt
    **/
    public void bewegePlayer_runter(ZEICHENFENSTER zeichenblatt)
    {
       if(Player.getyPos()<=710)
       {
          zeichenblatt.loescheRechteck(Player.getxPos(), Player.getyPos(), breite, laenge);
          Player.setyPos(Player.getyPos()+delta_y);
          zeichenblatt.fuelleRechteck(Player.getxPos(), Player.getyPos(), Player.getbreite(), Player.gethoehe(), Player.getfarbe());
       }
    }
    
    public int getyPos()
    {
        // tragen Sie hier den Code ein
        return Player.getyPos();
    }
    
    public int getdelta_y()
    {
        // tragen Sie hier den Code ein
        return delta_y;
    }
}
